Bug 17724 - pump fails to renew lease
pump fails to renew lease
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-19 17:21 EDT by Matthew Galgoci
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 23:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Galgoci 2000-09-19 17:21:33 EDT
In pump verison 0.8.3-2, if the dhcp lease that is assigned is set to 
1800 seconds, pump fails to renew the lease after the lease expired.

Setting the lease time to 3600 seconds clears the problem up.

If pump is not happy with its lease, it should accept the lease, but 
bitch to syslog with a descriptive reason why (lease time not RFC
compliant!).

--Matt
Comment 1 Olivier Baudron 2000-09-23 17:04:33 EDT
I changed pump.c (line 810) so that I can specify the lease time in seconds. I
tried with different -l values (including 1800s), and each time pump correctly
renewed the lease. I did these tests with pump-0.8.2-1 (rawhide version) and
pump-0.8.3-2 (source downloaded from the ia64 tree).
Would you be a bit more precise so that I can reproduce the bug on my PC?
Comment 2 Elliot Lee 2001-08-07 23:48:00 EDT
Should be easy to fix, will get it tomorrow.
Comment 3 Elliot Lee 2001-08-26 18:15:26 EDT
Tomorrow didn't quite happen as quickly as desired.

I added a -L for Olivier to allow specifying lease time in seconds, but really
pump is deprecated for dhcpcd outside of the installer, so please test against
the latter to see if there are problems.

Note You need to log in before you can comment on or make changes to this bug.